Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::stride_base_fn Struct Reference
Inheritance diagram for ranges::views::stride_base_fn:

## Public Member Functions
template<typename Rng >
constexpr stride_view< all_t< Rng > > | operator() (Rng &&rng, range_difference_t< Rng > step) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

constexpr stride_view<all_t<Rng> > ranges::views::stride_base_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | step
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng>`